## com.google.appengine.api.files.dev
Class ParsedFileName

    java.lang.Object
      com.google.appengine.api.files.dev.ParsedFileName

    public class ParsedFileName

extends java.lang.Object

This class parses a URL-encoded compound file name into its component parts. The parts are `fileSystem`, `namePart` and `params`. For example the string "/blobstore/new?content_type=text%2fhtml&length=100" gets parsed into:

1. `fileSystem = blobstore`
2. `namePart = new`
3. `params = ["content_type" = "text/html", "length" = "100"]`

Notice that the forward slash in text/html was URL-encoded in the input string.

Constructor Summary
`ParsedFileName(java.lang.String decoratedName)`

Method Summary
`java.lang.String` `getFileSystem()`
`java.lang.String` `getNamePart()`
`java.lang.String` `getParam(java.lang.String param)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParsedFileName

    public ParsedFileName(java.lang.String decoratedName)

Method Detail

### getParam

    public java.lang.String getParam(java.lang.String param)

### getFileSystem

    public java.lang.String getFileSystem()

### getNamePart

    public java.lang.String getNamePart()